%define _disable_ld_as_needed		1
%define _disable_ld_no_undefined	1

%define version		3.10.10
%define major		3
%define libname		%mklibname opal %{major}
%define develname	%mklibname %{name} -d


Summary:	VoIP library
Name:		opal3
Version:	%version
Release:	%mkrel 2
License:	MPL
Group:		System/Libraries
URL:		http://www.opalvoip.org/
Source0:	ftp://ftp.gnome.org/pub/GNOME/sources/opal/opal-%{version}.tar.xz
Patch0:		opal-3.10.7-fix-link.patch
Patch1:		opal-3.10.7-ffmpeg-0.11.patch
Patch2:		opal-3.10.10-ffmpeg-2.0.patch
BuildRequires:	gawk
BuildRequires:	openssl-devel
BuildRequires:	openldap-devel
BuildRequires:	ptlib-devel >= 2.10.10
BuildRequires:	libspeex-devel
BuildRequires:	libtheora-devel
#BuildRequires:	ffmpeg-devel
BuildRequires:	X11-devel
BuildRequires:  x264-devel
BuildRequires:	celt-devel >= 0.7.0
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
This is an open source class library for the development of
applications that wish to use SIP / H.323 protocols for multimedia
communications over packet based networks.


%package -n	%{libname}-plugins
Summary:	Codec plugins for Opal
Group:		System/Libraries
Provides:	%{name}-plugins = %{version}-%{release}
Obsoletes:	%{mklibname opal 3}-plugins < 3.4.1-2

%description -n	%{libname}-plugins
PTlib codec plugins for various formats provided by Opal.

%package -n	%{libname}
Summary:	Opal Library
Group:		System/Libraries
Provides:	%{name} = %{version}-%{release}
Requires:	%{libname}-plugins = %{version}-%{release}
Obsoletes:	%{mklibname opal 3} < 3.4.1-2

%description -n	%{libname}
Shared library for OPAL (SIP / H323 stack).

%package -n	%{develname}
Summary:	Opal development files
Group:		Development/Libraries
Requires:	%{libname} = %{version}-%{release} 
Requires:	ptlib-devel >= 2.10.10
Provides:	%{name}-devel = %{version}-%{release}
Conflicts:	%{mklibname opal -d}

%description -n	%{develname}
Header files and libraries for developing applications that use
Opal.

%prep
%setup -q -n opal-%{version}

%patch0 -p0
%patch1 -p0
%patch2 -p1

%build
%define optflags %nil
export STDCCFLAGS=-D__STDC_CONSTANT_MACROS
%configure2_5x --disable-static
%make

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%makeinstall_std

rm -f %{buildroot}%{_libdir}/libopal.so.?
rm -f %{buildroot}%{_libdir}/libopal.so.?.?
rm -f %{buildroot}%{_libdir}/libopal.la


%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files -n %{libname}
%defattr(-,root,root)
%attr(0755,root,root) %{_libdir}/lib*.so.%{major}*

%files -n %{libname}-plugins
%defattr(-,root,root)
%{_libdir}/opal-%{version}/codecs/audio/*
%{_libdir}/opal-%{version}/codecs/video/*

%files -n %{develname}
%defattr(-,root,root)
%doc mpl-1.0.htm
%attr(0755,root,root) %{_libdir}/*.so
%{_includedir}/*
%{_libdir}/pkgconfig/opal.pc
%{_libdir}/libopal_s.a

%changelog
* Sun Nov 15 2015 bb <bb> 3.10.10-2pclos2015
- rebuild for updates

* Thu Mar 07 2013 ghostbunny <hmhaase at pclinuxosusers dot de> 3.10.10-1pclos2013
- 3.10.10

* Fri Dec 14 2012 Ken <lxgator@gmail.com> 3.10.9-1pclos2012
- 3.10.9

